=== debian/changelog ===
rokuecp (0.2.0-1) unstable; urgency=medium

  * Initial Package (Closes: #1109408)

 -- Ben Westover <bjw@debian.org>  Tue, 06 Jan 2026 21:28:12 -0500
