=== debian/control ===
Source: rokuecp
Section: libs
Maintainer: Ben Westover <bjw@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 doxygen <!nodoc>,
 libgssdp-1.6-dev,
 libsoup-3.0-dev,
 libxml2-dev (>= 2.13.0)
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/BenTheTechGuy/rokuecp.git
Vcs-Browser: https://salsa.debian.org/BenTheTechGuy/rokuecp
Homepage: https://github.com/benthetechguy/rokuecp

Package: librokuecp0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C library to control Roku devices remotely using ECP - Version 0
 RokuECP uses the External Control Protocol created by Roku to control
 and otherwise interact with Roku TVs and streaming boxes over a local
 network in an lightweight and easy to use C library.

Package: librokuecp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 libgssdp-1.6-dev,
 libsoup-3.0-dev,
 libxml2-dev (>= 2.13.0),
 librokuecp0 (= ${binary:Version})
Description: C library to control Roku devices remotely using ECP - development files
 RokuECP uses the External Control Protocol created by Roku to control
 and otherwise interact with Roku TVs and streaming boxes over a local
 network in an lightweight and easy to use C library.
 .
 This package contains development files for version 0 of the library.

Package: librokuecp-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: C library to control Roku devices remotely using ECP - documentation
 RokuECP uses the External Control Protocol created by Roku to control
 and otherwise interact with Roku TVs and streaming boxes over a local
 network in an lightweight and easy to use C library.
 .
 This package contains documentation for version 0 of the library.
