=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

# Don't build docs if nodoc build is run
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure:
	dh_auto_configure -- -DDOCS=ON
endif
