=== debian/watch ===
Version: 5
Source: https://github.com/benthetechguy/rokuecp/tags
Download-Url-Mangle: s%archive/refs/tags/v(.*)\.tar\.gz%releases/download/v$1/rokuecp-$1_src\.tar\.gz%
Pgp-Sig-Url-Mangle: s/$/.asc/
